<?php 
require_once "../modelos/Transporte.php";
if (strlen(session_id())<1) 
	session_start();
	
$transporte  =   new Transporte();

/* $tipo_persona   =   isset($_POST["tipo_persona"])? limpiarCadena($_POST["tipo_persona"]):"";
$tipo_documento =   isset($_POST["tipo_documento"])? limpiarCadena($_POST["tipo_documento"]):"";
$num_documento  =   isset($_POST["num_documento"])? limpiarCadena($_POST["num_documento"]):"";
$direccion      =   isset($_POST["direccion"])? limpiarCadena($_POST["direccion"]):"";
$telefono       =   isset($_POST["telefono"])? limpiarCadena($_POST["telefono"]):"";
$email          =   isset($_POST["email"])? limpiarCadena($_POST["email"]):""; */
$idusuario			= $_SESSION["idusuario"];
$idtransporte   = isset($_POST["idtransporte"])? limpiarCadena($_POST["idtransporte"]):"";
$capacidad      = isset($_POST["capacidad"])? limpiarCadena($_POST["capacidad"]):"";
$vehiculo       = isset($_POST["vehiculo"])? limpiarCadena($_POST["vehiculo"]):"";
$placa          = isset($_POST["placa"])? limpiarCadena($_POST["placa"]):"";
$fecha_hora			=	isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";


switch ($_GET["op"]) {
    case 'guardaryeditar':
        if (empty($idtransporte)) {
            $rspta=$transporte->insertar($vehiculo,$placa,$capacidad);
            echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
        }else{
            $rspta=$transporte->editar($idtransporte,$vehiculo,$placa,$capacidad);
            echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
        }
	break;
	

	case 'eliminar':
		$rspta=$transporte->eliminar($idtransporte);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;
	
	case 'mostrar':
		$rspta=$transporte->mostrar($idtransporte);
		echo json_encode($rspta);
	break;

			
	case 'buscarcliente':
		$rspta=$transporte->buscarcliente($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;
	
	case 'buscarproveedor':
		$rspta=$transporte->buscarproveedor($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;

	case 'desactivar':
		$rspta=$transporte->desactivar($idtransporte);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;
	
	case 'activar':
		$rspta=$transporte->activar($idtransporte);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;

	case 'listar':
		$rspta=$transporte->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			
			$data[]=array(
			"0"=>($reg->estado=="Disponible")?'<button class="btn btn-warning btn-xs" 
			onclick="mostrar('.$reg->idtransporte.')"><i class="fa fa-pencil"></i></button>'.' '.'
			<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idtransporte.')">
			<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
			onclick="mostrar('.$reg->idtransporte.')"><i class="fa fa-pencil"></i></button>'.' '.'
			<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idtransporte.')">
			<i class="fa fa-check"></i></button>',
            "1"=>$reg->vehiculo,
            "2"=>$reg->placa,
            "3"=>$reg->capacidad,
            "4"=>($reg->estado=="Disponible")?'<span class="badge bg-green">Disponible</span>':'<span class="badge bg-red">Desactivado</span>',
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
}
 ?>